SplFileInfo::isFile
SplFileInfo::isReadable
SplFileInfo
PHP Manual

# SplFileInfo::isLink

(PHP 5 >= 5.1.2)

SplFileInfo::isLink — Tells if the file is a link

### Description

public bool SplFileInfo::isLink ( void )

Use this method to check if the file referenced by the SplFileInfo object is a link.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the file is a link, `FALSE` otherwise.

### Examples

Example #1 SplFileInfo::isLink() example

`<?php
$info = new SplInfo('/path/to/symlink');
if ($info->isLink()) {
echo 'The real path is '.$info->getRealPath();
}
?>`

### See Also

- SplFileInfo::getRealPath - Gets absolute path to file

SplFileInfo::isFile
SplFileInfo::isReadable
SplFileInfo
PHP Manual